package com.tzld.piaoquan.abtest;


import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.data.redis.RedisReactiveAutoConfiguration;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.http.converter.protobuf.ProtobufHttpMessageConverter;


/**
 * https://github.com/grpc-swagger/grpc-swagger/blob/master/README_CN.md
 */
@SpringBootApplication(exclude = {
        RedisReactiveAutoConfiguration.class
})
@ComponentScan({
        "com.tzld.piaoquan.abtest.service",
        "com.tzld.piaoquan.abtest.grpcservice",
        "com.tzld.piaoquan.abtest.config",
        "com.tzld.piaoquan.abtest.web",
})
@EnableEurekaClient
@EnableAspectJAutoProxy
public class Application {
    public static void main(String[] args) {
        SpringApplication.run(Application.class, args);
    }


    @Bean
    public ProtobufHttpMessageConverter protobufHttpMessageConverter() {
        return new ProtobufHttpMessageConverter();
    }


}

