package com.tzld.piaoquan.abtest.grpcservice;

import com.tzld.piaoquan.abtest.client.ProtobufUtils;
import com.tzld.piaoquan.abtest.client.model.ExpServiceGrpc;
import com.tzld.piaoquan.abtest.client.model.GetExpRequest;
import com.tzld.piaoquan.abtest.client.model.GetExpResponse;
import com.tzld.piaoquan.abtest.service.ExpService;
import io.grpc.stub.StreamObserver;
import lombok.extern.slf4j.Slf4j;
import net.devh.boot.grpc.server.service.GrpcService;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author dyp
 */
@GrpcService
@Slf4j
public class ExpGrpcService extends ExpServiceGrpc.ExpServiceImplBase {
    @Autowired
    private ExpService expService;

    @Override
    public void getExp(GetExpRequest request, StreamObserver<GetExpResponse> responseObserver) {
        log.info("ExpGrpcService getExp request={}", ProtobufUtils.toJson(request));
        GetExpResponse response = expService.getExp(request);
        log.info("ExpGrpcService getExp response={}", ProtobufUtils.toJson(response));

        responseObserver.onNext(response);
        responseObserver.onCompleted();
    }

}
