package com.tzld.piaoquan.abtest.grpcservice;

import com.tzld.piaoquan.abtest.client.ProtobufUtils;
import com.tzld.piaoquan.abtest.client.model.GetGroupRequest;
import com.tzld.piaoquan.abtest.client.model.GetGroupResponse;
import com.tzld.piaoquan.abtest.client.model.GroupServiceGrpc;
import com.tzld.piaoquan.abtest.service.GroupService;
import io.grpc.stub.StreamObserver;
import lombok.extern.slf4j.Slf4j;
import net.devh.boot.grpc.server.service.GrpcService;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author dyp
 */
@GrpcService
@Slf4j
public class GroupGrpcService extends GroupServiceGrpc.GroupServiceImplBase {
    @Autowired
    private GroupService groupService;

    @Override
    public void getGroup(GetGroupRequest request, StreamObserver<GetGroupResponse> responseObserver) {
        log.info("GroupGrpcService getGroup request={}", ProtobufUtils.toJson(request));
        GetGroupResponse response = groupService.getGroup(request);
        log.info("GroupGrpcService getGroup response={}", ProtobufUtils.toJson(response));

        responseObserver.onNext(response);
        responseObserver.onCompleted();
    }

}
