package com.tzld.piaoquan.abtest.grpcservice;

import com.tzld.piaoquan.abtest.util.TraceUtils;
import lombok.extern.slf4j.Slf4j;
import org.aspectj.lang.ProceedingJoinPoint;
import org.aspectj.lang.annotation.Around;
import org.aspectj.lang.annotation.Aspect;
import org.springframework.stereotype.Component;

/**
 * @author dyp
 */
@Aspect
@Component
@Slf4j
public class GrpcAspect {

    @Around("execution(* com.tzld.piaoquan.abtest.grpcservice.*GrpcService.*(..))")
    public Object around(ProceedingJoinPoint pjp) throws Throwable {
        TraceUtils.setMDC();
        Object result = pjp.proceed();
        TraceUtils.removeMDC();
        return result;
    }
}
