package com.tzld.piaoquan.abtest.web;

import com.tzld.piaoquan.abtest.client.ProtobufUtils;
import com.tzld.piaoquan.abtest.client.model.GetGroupRequest;
import com.tzld.piaoquan.abtest.client.model.GetGroupResponse;
import com.tzld.piaoquan.abtest.service.GroupService;
import lombok.extern.slf4j.Slf4j;
import org.slf4j.MDC;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author dyp
 */
@RestController
@Slf4j
public class GroupController {
    @Autowired
    private GroupService groupService;

    @RequestMapping("/group/getGroup")
    public String getGroup(@RequestBody GetGroupRequest httpRequest) {
        MDC.put("appType", String.valueOf(httpRequest.getAppType()));
        GetGroupResponse response = groupService.getGroup(httpRequest);
        return ProtobufUtils.toJson(response);
    }
}
